#if !defined(AFX_MAINWND_H__D882FCE7_CEFB_4116_A31F_F7A2BA0F9833__INCLUDED_)
#define AFX_MAINWND_H__D882FCE7_CEFB_4116_A31F_F7A2BA0F9833__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MainWnd.h : header file
//

#include "MyButton.h"
#include "MyButtonTV.h"
#include "out.h"
#include "creader.h"

/////////////////////////////////////////////////////////////////////////////
// CMainWnd dialog

class CMainWnd : public CDialog
{
// Construction
public:
	CReader reader;
	void SetDisplayScreen();
	void SetNewBackGround();
	CString strChapNum;
	void InvalidateCnotrols();
	void DisplayBitmap(UINT ID,int x,int y);
	CMainWnd(CWnd* pParent = NULL);   // standard constructor
	COut cout;
// Dialog Data
	//{{AFX_DATA(CMainWnd)
	enum { IDD = IDD_DIALOG_MAIN };
	CMyButton	m_button11;
	CMyButton	m_button10;
	CMyButtonTV	m_buttonTV4;
	CMyButtonTV	m_buttonTV3;
	CMyButtonTV	m_buttonTV2;
	CMyButtonTV	m_buttonTV1;
	CMyButton	m_button9;
	CMyButton	m_button8;
	CMyButton	m_button7;
	CMyButton	m_button6;
	CMyButton	m_button5;
	CMyButton	m_button4;
	CMyButton	m_button3;
	CMyButton	m_button1;
	CMyButton	m_button2;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainWnd)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMainWnd)
	afx_msg void OnPaint();
	afx_msg void OnButtonTv1();
	afx_msg void OnButtonTv2();
	afx_msg void OnButtonTv3();
	afx_msg void OnButtonTv4();
	afx_msg void OnButton9();
	afx_msg void OnButton11();
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnClose();
	afx_msg void OnButton1();
	afx_msg void OnButton10();
	afx_msg void OnButton2();
	afx_msg void OnButton3();
	afx_msg void OnButton4();
	afx_msg void OnButton5();
	afx_msg void OnButton6();
	afx_msg void OnButton7();
	afx_msg void OnButton8();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINWND_H__D882FCE7_CEFB_4116_A31F_F7A2BA0F9833__INCLUDED_)
